Probleme d'installation de fusioninventory-agent sur glpi

Signaler
-
Messages postés
29738
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
21 avril 2021
-
Salut...

Après avoir téléchargé
fusioninventory-agent_2.5.2-1_all.deb
, je n'arrive pas à l'installer. Dans mon terminal, j'ai l'erreur me disant qu'il faut installer le paquet
libsocket-getaddrinfo-perl
...

Bref, voici l'erreur complète :

root@debian:/var/www/html/glpi/plugins# dpkg -i fusioninventory-agent_2.5.2-1_all.deb
Sélection du paquet fusioninventory-agent précédemment désélectionné.
(Lecture de la base de données... 143529 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de fusioninventory-agent_2.5.2-1_all.deb ...
Dépaquetage de fusioninventory-agent (1:2.5.2-1) ...
dpkg: des problèmes de dépendances empêchent la configuration de fusioninventory-agent :
fusioninventory-agent dépend de libtext-template-perl ; cependant :
Le paquet libtext-template-perl n'est pas installé.
fusioninventory-agent dépend de libsocket-getaddrinfo-perl ; cependant :
Le paquet libsocket-getaddrinfo-perl n'est pas installé.

dpkg: erreur de traitement du paquet fusioninventory-agent (--install) :
problèmes de dépendances - laissé non configuré
Traitement des actions différées (« triggers ») pour man-db (2.8.5-2) ...
Des erreurs ont été rencontrées pendant l'exécution :
fusioninventory-agent


Je voudrais savoir s'il n'y a pas un paquet similaire qui peut être installé à la place de celui-ci ? Parce que lorsque je lance l'installation du paquet on me dit qu'il est impossible de l'installer et qu'il est peut-être obsolète..

svp aider moi je suis clouer

1 réponse

Messages postés
29738
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
21 avril 2021
7 072
Bonjour,

Les deux paquets dont tu parles existent pour des debian récentes. Il suffit donc de lancer dans ton cas :

sudo apt update
sudo apt install libtext-template-perl libsocket-getaddrinfo-perl
sudo dpkg -i fusioninventory-agent_2.5.2-1_all.deb


Si la commande
apt install
échoue, peux-tu nous reporter le contenu de
/etc/apt/sources.list
?

Bonne chance